import java.awt.*;
import java.awt.font.*;
import java.awt.geom.*;
import javax.swing.*;
import javax.swing.border.*;


public class GamePanel extends JPanel{
    
    public JLabel[][] values = new JLabel[3][3];
    public JLabel[] labels = new JLabel[7] ;
    
    /** Creates a new instance of GamePanel */
    public GamePanel() {
        setBackground(Color.white);
        this.setLayout(new GridLayout2(0,4));
        this.setBorder(new EtchedBorder());
        
        for(int k=0; k<7; k++)
        {
            labels[k] = new JLabel();
        }
        labels[0].setText("A vs B");
        labels[1].setText("\u2193 \u03bb pn");
        labels[2].setText("\u2191 \u03bb np");
        labels[3].setText("\u2191 \u03bb bp");
        labels[4].setText("\u2193 \u03bb pn");
        labels[5].setText("\u2191 \u03bb np");
        labels[6].setText("\u2191 \u03bb bp");

        
        for(int i=0; i < 3; i++)
        {
            for(int j=0; j < 3; j++)
            {
                if(j==0 && i==0) {
                    this.add(labels[0]);
                    this.add(labels[1]);
                    this.add(labels[2]);
                    this.add(labels[3]);
                    this.add(labels[4]);
                }
                
                if(j==0 && i==1) this.add(labels[5]);
                if(j==0 && i==2) this.add(labels[6]);
                
                values[i][j] = new JLabel();
                values[i][j].setText(""+i+","+j);
                this.add(values[i][j]);
                
            }
        }
    }
    
    protected void paintComponent(Graphics g)
    {
        super.paintComponent(g);
        Graphics2D g2 = (Graphics2D)g;
        g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                            RenderingHints.VALUE_ANTIALIAS_ON);
        //Verticals
        //g2.draw(new Line2D.Double(65,20,65,260));
        //g2.draw(new Line2D.Double(140,65,140,260));
        //g2.draw(new Line2D.Double(215,65,215,260));
        //g2.draw(new Line2D.Double(285,65,285,260));
        
        //Horizontals
        //g2.draw(new Line2D.Double(1,65,285,65));
        //g2.draw(new Line2D.Double(65,130,285,130));
        //g2.draw(new Line2D.Double(65,205,285,205));
        //g2.draw(new Line2D.Double(65,260,285,260));
        

    }
    
    public void Refresh()
    {
        for(int i=0; i < 3; i++)
        {
            for(int j=0; j < 3; j++)
            {
                values[i][j].setText(""+DTRS_Main.PayoffTable.table[i][j].A+" | "+DTRS_Main.PayoffTable.table[i][j].B);
            }
        }
    }
    
}
